### Function: HasControlEffect(spawn, type)

**Description:**
Identifies if the Spawn has the control effect type defined.  The Control Effect Type list can be found at https://github.com/emagi/eq2emu/blob/main/docs/data_types/control_effect_types.md

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `type` (int32) - Integer value `type`.

**Returns:** True if the Spawn has the control effect type specified, otherwise False.

**Example:**

Example Required
